# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapOfStringReal Class Reference

`#include <TDataStd_DataMapOfStringReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_DataMapOfStringReal (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDataStd_DataMapOfStringReal & | Assign (const TDataStd_DataMapOfStringReal &Other)
TDataStd_DataMapOfStringReal & | operator= (const TDataStd_DataMapOfStringReal &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDataStd_DataMapOfStringReal ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_ExtendedString &K, const Standard_Real &I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_ExtendedString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_ExtendedString &K)
Standard_EXPORT const Standard_Real & | Find (const TCollection_ExtendedString &K) const
const Standard_Real & | operator() (const TCollection_ExtendedString &K) const
Standard_EXPORT Standard_Real & | ChangeFind (const TCollection_ExtendedString &K)
Standard_Real & | operator() (const TCollection_ExtendedString &K)

## Private Member Functions

Standard_EXPORT | TDataStd_DataMapOfStringReal (const TDataStd_DataMapOfStringReal &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_DataMapOfStringReal::TDataStd_DataMapOfStringReal | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDataStd_DataMapOfStringReal::~TDataStd_DataMapOfStringReal | ( |  | ) | `[inline]`

Standard_EXPORT TDataStd_DataMapOfStringReal::TDataStd_DataMapOfStringReal | ( | const TDataStd_DataMapOfStringReal & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TDataStd_DataMapOfStringReal& TDataStd_DataMapOfStringReal::Assign | ( | const TDataStd_DataMapOfStringReal & | Other | ) |

Standard_EXPORT Standard_Boolean TDataStd_DataMapOfStringReal::Bind | ( | const TCollection_ExtendedString & | K,
|  | const Standard_Real & | I
| ) |

Standard_EXPORT Standard_Real& TDataStd_DataMapOfStringReal::ChangeFind | ( | const TCollection_ExtendedString & | K | ) |

Standard_EXPORT void TDataStd_DataMapOfStringReal::Clear | ( |  | ) |

Standard_EXPORT const Standard_Real& TDataStd_DataMapOfStringReal::Find | ( | const TCollection_ExtendedString & | K | ) | const

Standard_EXPORT Standard_Boolean TDataStd_DataMapOfStringReal::IsBound | ( | const TCollection_ExtendedString & | K | ) | const

void TDataStd_DataMapOfStringReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_DataMapOfStringReal::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_DataMapOfStringReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Real& TDataStd_DataMapOfStringReal::operator() | ( | const TCollection_ExtendedString & | K | ) | `[inline]`

const Standard_Real& TDataStd_DataMapOfStringReal::operator() | ( | const TCollection_ExtendedString & | K | ) | const`[inline]`

TDataStd_DataMapOfStringReal& TDataStd_DataMapOfStringReal::operator= | ( | const TDataStd_DataMapOfStringReal & | Other | ) | `[inline]`

Standard_EXPORT void TDataStd_DataMapOfStringReal::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TDataStd_DataMapOfStringReal::UnBind | ( | const TCollection_ExtendedString & | K | ) |

The documentation for this class was generated from the following file:

- TDataStd_DataMapOfStringReal.hxx